#global candidate rc0
%bcond_without toolsonly

# Set it to "opensbi" (stable) or "opensbi-unstable" (unstable, git)
%global opensbi opensbi

Name:     uboot-tools
Version:  2025.04
Release:  104%{?candidate:.%{candidate}}%{?dist}
Epoch:    1
Summary:  U-Boot utilities
# Automatically converted from old format: GPLv2+ BSD LGPL-2.1+ LGPL-2.0+ - review is highly recommended.
License:  GPL-2.0-or-later AND LicenseRef-Callaway-BSD AND LGPL-2.1-or-later AND LGPL-2.0-or-later
URL:      http://www.denx.de/wiki/U-Boot
ExcludeArch: s390x
Source0:  https://ftp.denx.de/pub/u-boot/u-boot-%{version}%{?candidate:-%{candidate}}.tar.bz2
Source1:  aarch64-boards
Source2:  riscv64-boards

# Fedora patches to enable/disable features
Patch1:   disable-VBE-by-default.patch
Patch2:   enable-bootmenu-by-default.patch
# This is now legacy, most devices use bootflow, we keep this for the laggards
Patch3:   uefi-distro-load-FDT-from-any-partition-on-boot-device.patch
# Identify VFAT partitions as ESP, allows EFI setvar on our images
Patch4:   uefi-Add-all-options-for-EFI-System-Partitions.patch
# New function to find fdt for loading from disk
Patch6:   uefi-initial-find_fdt_location-for-finding-the-DT-on-disk.patch
# Enable UEFI SetVariable for devices without backed storage
Patch7:   uefi-enable-SetVariableRT-with-volotile-storage.patch
# Should be upstream but it's taking time
Patch8:   Add-video-damage-tracking.patch
# For HTTP boot installs
Patch9:   Add-pmem-node-for-preserving-distro-ISO-s.patch

# Device improvments
# Rockchips improvements
Patch10:  rockchip-Enable-preboot-start-for-pci-usb.patch
# USB-PD improvements
Patch11:   USB-PD-TCPM-improvements.patch

# Build with OPENSSL_NO_ENGINE
Patch12:  openssl-no-engine.patch

# Asahi patches from gen-asahi-patches.sh
# input: apple: Split off report handling into a separate file
Patch100: https://github.com/AsahiLinux/u-boot/commit/383a2d173ec704f6366106815f355a191c4a485f.patch#/asahi-383a2d173ec704f6366106815f355a191c4a485f.patch
# arm: apple: rtkit: Add support for AP power & syslogs
Patch101: https://github.com/AsahiLinux/u-boot/commit/1bee9f4ce7fde175e8ddd0f00d41488abe6df402.patch#/asahi-1bee9f4ce7fde175e8ddd0f00d41488abe6df402.patch
# arm: apple: rtkit: Add default buffer handlers
Patch102: https://github.com/AsahiLinux/u-boot/commit/92dcbc2fee8b8f2dc0347dccf26ddb35632d74c8.patch#/asahi-92dcbc2fee8b8f2dc0347dccf26ddb35632d74c8.patch
# arm: apple: rtkit: Add a generic RTKit helper driver
Patch103: https://github.com/AsahiLinux/u-boot/commit/346d1ebede3c79c11cda14d4375a674a0bc266e9.patch#/asahi-346d1ebede3c79c11cda14d4375a674a0bc266e9.patch
# input: apple: Add support for Apple MTP keyboard
Patch104: https://github.com/AsahiLinux/u-boot/commit/3069b489087b43906a373df9812e0549a8a54f8b.patch#/asahi-3069b489087b43906a373df9812e0549a8a54f8b.patch
# arm: apple: Add MTP keyboard options to defconfig
Patch105: https://github.com/AsahiLinux/u-boot/commit/88a8e3b87ede58c77fbeed05e47e1bdae6d55ddb.patch#/asahi-88a8e3b87ede58c77fbeed05e47e1bdae6d55ddb.patch
# apple: Set up file system firmware loader
Patch106: https://github.com/AsahiLinux/u-boot/commit/63e22b9911cb4d92832d06306c59fca66cb18e9a.patch#/asahi-63e22b9911cb4d92832d06306c59fca66cb18e9a.patch
# iopoll: Add readb_poll_sleep_timeout
Patch107: https://github.com/AsahiLinux/u-boot/commit/7252b424963d7a82d27ff71c8166e12ac308e1ec.patch#/asahi-7252b424963d7a82d27ff71c8166e12ac308e1ec.patch
# usb: xhci-pci: Load ASMedia XHCI controller firmware
Patch108: https://github.com/AsahiLinux/u-boot/commit/f2cbb7c6e6b95d5de251f416ebc440bd0f8d87f9.patch#/asahi-f2cbb7c6e6b95d5de251f416ebc440bd0f8d87f9.patch
# env: apple: Enable ENV_IS_IN_FAT
Patch109: https://github.com/AsahiLinux/u-boot/commit/e9f786d45448bf485fa49b50f6c87e44e9c16ee2.patch#/asahi-e9f786d45448bf485fa49b50f6c87e44e9c16ee2.patch
# apple: Nail down the EFI system partition
Patch110: https://github.com/AsahiLinux/u-boot/commit/0f4fb2b99e11597c9cd96be773c171be5575c98e.patch#/asahi-0f4fb2b99e11597c9cd96be773c171be5575c98e.patch
# scripts/dtc: Add support for floating-point literals
Patch111: https://github.com/AsahiLinux/u-boot/commit/72e00d83894d5edb7f0726dbf968fd2eb6e3c9b1.patch#/asahi-72e00d83894d5edb7f0726dbf968fd2eb6e3c9b1.patch
# arm: dts: apple: Update Apple M1 device trees
Patch112: https://github.com/AsahiLinux/u-boot/commit/745cfbecdf7048dfe068bb3d2d4370f2a4bfaec8.patch#/asahi-745cfbecdf7048dfe068bb3d2d4370f2a4bfaec8.patch
# arm: dts: apple: Add Apple M1 Pro/Max/Ultra device trees
Patch113: https://github.com/AsahiLinux/u-boot/commit/234912205cc75965b99d57fd546e86a3be89dcb9.patch#/asahi-234912205cc75965b99d57fd546e86a3be89dcb9.patch
# arm: dts: apple: Add Apple M2 device trees
Patch114: https://github.com/AsahiLinux/u-boot/commit/ffbb2b635850aae5551f83c402354cb61cce0fad.patch#/asahi-ffbb2b635850aae5551f83c402354cb61cce0fad.patch
# arm: dts: apple: Add Apple M2 Pro/Max device trees
Patch115: https://github.com/AsahiLinux/u-boot/commit/ae34be54ba185f7724c4fa1d9dfbc12a6040638f.patch#/asahi-ae34be54ba185f7724c4fa1d9dfbc12a6040638f.patch
# arm: apple: rtkit: Add OSLog buffer support
Patch116: https://github.com/AsahiLinux/u-boot/commit/9a917dcce019a8b9fca93657d09ef31de2a2c2b2.patch#/asahi-9a917dcce019a8b9fca93657d09ef31de2a2c2b2.patch
# arm: apple: rtkit: Add endpoint field to buffers
Patch117: https://github.com/AsahiLinux/u-boot/commit/19ff75a6ad043da8467ee0ae1003756af7316b12.patch#/asahi-19ff75a6ad043da8467ee0ae1003756af7316b12.patch
# arm: apple: rtkit: Support allocating OSLog out of SRAM in helper
Patch118: https://github.com/AsahiLinux/u-boot/commit/e63990855ab441522e37cedbde0d226e6667d7d5.patch#/asahi-e63990855ab441522e37cedbde0d226e6667d7d5.patch
# efi_loader: prefer EFI system partition
Patch119: https://github.com/AsahiLinux/u-boot/commit/f1352433b7905635ad96bd103e6a0269253f5a2b.patch#/asahi-f1352433b7905635ad96bd103e6a0269253f5a2b.patch
# apple_m1_defconfig: Disable EFI variable store
Patch120: https://github.com/AsahiLinux/u-boot/commit/7ae0f5517315cbb289e45c9ffebae3cce82fd05b.patch#/asahi-7ae0f5517315cbb289e45c9ffebae3cce82fd05b.patch
# usb: xhci: Add more debugging
Patch121: https://github.com/AsahiLinux/u-boot/commit/1743724153115c27ce469695b65702491a3472d0.patch#/asahi-1743724153115c27ce469695b65702491a3472d0.patch
# usb: storage: Clear endpoint stalls properly
Patch122: https://github.com/AsahiLinux/u-boot/commit/77f5697bb788847fd29ef0b219bd3481f420bdb4.patch#/asahi-77f5697bb788847fd29ef0b219bd3481f420bdb4.patch
# usb: Pass through timeout to drivers
Patch123: https://github.com/AsahiLinux/u-boot/commit/34353b4416add574c86ff7e316d89393440fd7a3.patch#/asahi-34353b4416add574c86ff7e316d89393440fd7a3.patch
# usb: xhci: Hook up timeouts
Patch124: https://github.com/AsahiLinux/u-boot/commit/640206cfc98b7eb19a87aa8abe6060b4aefbd527.patch#/asahi-640206cfc98b7eb19a87aa8abe6060b4aefbd527.patch
# scsi: Fix a bunch of SCSI definitions.
Patch125: https://github.com/AsahiLinux/u-boot/commit/4a3fe156c64602e6f2e1f8f912bd56d3c0b8d392.patch#/asahi-4a3fe156c64602e6f2e1f8f912bd56d3c0b8d392.patch
# usb: storage: Increase read/write timeout
Patch126: https://github.com/AsahiLinux/u-boot/commit/731c1a87b89d1c1ab6cf66b4b00a593425b76272.patch#/asahi-731c1a87b89d1c1ab6cf66b4b00a593425b76272.patch
# usb: storage: Implement 64-bit LBA support
Patch127: https://github.com/AsahiLinux/u-boot/commit/60853c87f46acda1208b33b09c05933179868d29.patch#/asahi-60853c87f46acda1208b33b09c05933179868d29.patch
# usb: Ignore endpoints in non-zero altsettings
Patch128: https://github.com/AsahiLinux/u-boot/commit/bb1a3cea85414ab4cc93f1c45abcb1ade4887767.patch#/asahi-bb1a3cea85414ab4cc93f1c45abcb1ade4887767.patch
# video: console: Select default font based on video_priv.font_size
Patch129: https://github.com/AsahiLinux/u-boot/commit/e972d6c948dffcc47e66a2e707a27036e653cb7c.patch#/asahi-e972d6c948dffcc47e66a2e707a27036e653cb7c.patch
# video: simplefb: HACK: Set video font size
Patch130: https://github.com/AsahiLinux/u-boot/commit/828ef3422829b1f7671c8ed2abd17d8b467a995a.patch#/asahi-828ef3422829b1f7671c8ed2abd17d8b467a995a.patch
# configs: apple: Do not show the boot menu automatically
Patch131: https://github.com/AsahiLinux/u-boot/commit/5a61bc954963b9d3e9fc5d4f830c0d81573cb484.patch#/asahi-5a61bc954963b9d3e9fc5d4f830c0d81573cb484.patch
# FEDORA: configs: apple: Disable AUTOBOOT_KEYED
Patch132: https://github.com/AsahiLinux/u-boot/commit/1c04616dd38a91a611479f52e1cb95540a9f4db7.patch#/asahi-1c04616dd38a91a611479f52e1cb95540a9f4db7.patch

BuildRequires:  bc
BuildRequires:  bison
BuildRequires:  dtc
BuildRequires:  flex
BuildRequires:  gcc
BuildRequires:  gnutls-devel
BuildRequires:  libuuid-devel
BuildRequires:  make
BuildRequires:  ncurses-devel
BuildRequires:  openssl-devel
BuildRequires:  perl-interpreter
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-libfdt
BuildRequires:  SDL2-devel
BuildRequires:  swig
%if %{with toolsonly}
%ifarch aarch64
BuildRequires:  arm-trusted-firmware-armv8
BuildRequires:  crust-firmware
BuildRequires:  python3-pyelftools
BuildRequires:  xxd
%endif
%ifarch riscv64
BuildRequires:  %{opensbi}
%endif
%endif
Requires:       dtc

%description
This package contains a few U-Boot utilities - mkimage for creating boot images
and fw_printenv/fw_setenv for manipulating the boot environment variables.

%if %{with toolsonly}
%ifarch aarch64
%package     -n uboot-images-armv8
Summary:     U-Boot firmware images for aarch64 boards
BuildArch:   noarch

%description -n uboot-images-armv8
U-Boot firmware binaries for aarch64 boards
%endif

%ifarch riscv64
%package     -n uboot-images-riscv64
Summary:     U-Boot firmware images for riscv64 boards
BuildArch:   noarch

%description -n uboot-images-riscv64
U-Boot firmware binaries for riscv64 boards
%endif
%endif

%prep
%autosetup -p1 -n u-boot-%{version}%{?candidate:-%{candidate}}

cp %SOURCE1 %SOURCE2 .

%build
mkdir builds

%make_build HOSTCC="gcc $RPM_OPT_FLAGS" CROSS_COMPILE="" tools-only_defconfig O=builds/
%make_build HOSTCC="gcc $RPM_OPT_FLAGS" CROSS_COMPILE="" tools-all O=builds/

%if %{with toolsonly}
# OpenSBI firmware is distributed in U-Boot SPL images
%ifarch riscv64
export OPENSBI=%{_datadir}/%{opensbi}/generic/firmware/fw_dynamic.bin
%endif

%ifarch aarch64 riscv64
for board in $(cat %{_arch}-boards)
do
  echo "Building board: $board"
  mkdir builds/$(echo $board)/

  # ATF selection, needs improving, suggestions of ATF SoC to Board matrix welcome
  sun50i=(a64-olinuxino a64-olinuxino-emmc amarula_a64_relic bananapi_m64 nanopi_a64 oceanic_5205_5inmfd orangepi_win pine64-lts pine64_plus pine64_plus pinebook pinephone pinephone pinetab sopine_baseboard teres_i)
  if [[ " ${sun50i[*]} " == *" $board "* ]]; then
    echo "Board: $board using sun50i_a64"
    cp /usr/share/arm-trusted-firmware/sun50i_a64/bl31.bin builds/$(echo $board)/atf-bl31
    cp /usr/share/crust-firmware/a64/scp.bin builds/$(echo $board)/
  fi
  sun50h5=(bananapi_m2_plus_h5 emlid_neutis_n5_devboard libretech_all_h3_cc_h5 libretech_all_h3_it_h5 libretech_all_h5_cc_h5 nanopi_neo2 nanopi_neo_plus2 nanopi_r1s_h5 orangepi_pc2 orangepi_prime orangepi_zero_plus2 orangepi_zero_plus)
  if [[ " ${sun50h5[*]} " == *" $board "* ]]; then
    echo "Board: $board using sun50i_h6"
    cp /usr/share/arm-trusted-firmware/sun50i_a64/bl31.bin builds/$(echo $board)/atf-bl31
    cp /usr/share/crust-firmware/h5/scp.bin builds/$(echo $board)/
  fi
  sun50h6=(beelink_gs1 emlid_neutis_n5_devboard orangepi_3 orangepi_lite2 orangepi_one_plus pine_h64 tanix_tx6)
  if [[ " ${sun50h6[*]} " == *" $board "* ]]; then
    echo "Board: $board using sun50i_h6"
    cp /usr/share/arm-trusted-firmware/sun50i_h6/bl31.bin builds/$(echo $board)/atf-bl31
    cp /usr/share/crust-firmware/h6/scp.bin builds/$(echo $board)/
  fi
  sun50i_h616=(anbernic_rg35xx_h700 orangepi_zero2 orangepi_zero2w orangepi_zero3 transpeed-8k618-t x96_mate)
  if [[ " ${sun50i_h616[*]} " == *" $board "* ]]; then
    echo "Board: $board using sun50i_h616"
    cp /usr/share/arm-trusted-firmware/sun50i_h616/bl31.bin builds/$(echo $board)/atf-bl31
  fi
  rk3328=(evb-rk3328 nanopi-r2c-plus-rk3328 nanopi-r2c-rk3328 nanopi-r2s-rk3328 nanopi-r2s-plus-rk3328 orangepi-r1-plus-lts-rk3328 orangepi-r1-plus-rk3328 roc-cc-rk3328 rock64-rk3328 rock-pi-e-rk3328 rock-pi-e-v3-rk3328)
  if [[ " ${rk3328[*]} " == *" $board "* ]]; then
    echo "Board: $board using rk3328"
    cp /usr/share/arm-trusted-firmware/rk3328/bl31.elf builds/$(echo $board)/atf-bl31
  fi
  rk3368=(evb-px5 geekbox)
  if [[ " ${rk3368[*]} " == *" $board "* ]]; then
    echo "Board: $board using rk3368"
    cp /usr/share/arm-trusted-firmware/rk3368/bl31.elf builds/$(echo $board)/atf-bl31
  fi
  rk3399=(eaidk-610-rk3399 evb-rk3399 ficus-rk3399 firefly-rk3399 khadas-edge-captain-rk3399 khadas-edge-rk3399 khadas-edge-v-rk3399 leez-rk3399 nanopc-t4-rk3399 nanopi-m4-2gb-rk3399 nanopi-m4b-rk3399 nanopi-m4-rk3399 nanopi-neo4-rk3399 nanopi-r4s-rk3399 orangepi-rk3399 pinebook-pro-rk3399 pinephone-pro-rk3399 puma-rk3399 rock-4c-plus-rk3399 rock-4se-rk3399 rock960-rk3399 rock-pi-4c-rk3399 rock-pi-4-rk3399 rock-pi-n10-rk3399pro rockpro64-rk3399 roc-pc-mezzanine-rk3399 roc-pc-rk3399)
  if [[ " ${rk3399[*]} " == *" $board "* ]]; then
    echo "Board: $board using rk3399"
    cp /usr/share/arm-trusted-firmware/rk3399/* builds/$(echo $board)/
    cp builds/$(echo $board)/bl31.elf builds/$(echo $board)/atf-bl31
  fi
  zynqmp=(xilinx_zynqmp_kria xilinx_zynqmp_virt)
  if [[ " ${zynqmp[*]} " == *" $board "* ]]; then
    echo "Board: $board using zynqmp"
    cp /usr/share/arm-trusted-firmware/zynqmp/bl31.bin builds/$(echo $board)/atf-bl31
  fi
  # End ATF

  make $(echo $board)_defconfig O=builds/$(echo $board)/
  BL31=builds/$(echo $board)/atf-bl31 %make_build HOSTCC="gcc $RPM_OPT_FLAGS" CROSS_COMPILE="" O=builds/$(echo $board)/

done

%endif
%endif

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/uboot/

%if %{with toolsonly}
%ifarch aarch64
for board in $(ls builds)
do
 for file in u-boot.bin u-boot.img u-boot-dtb.img u-boot-sunxi-with-spl.bin u-boot-rockchip-spi.bin u-boot-rockchip.bin
 do
  if [ -f builds/$(echo $board)/$(echo $file) ]; then
    install -pD -m 0644 builds/$(echo $board)/$(echo $file) %{buildroot}%{_datadir}/uboot/$(echo $board)/$(echo $file)
  fi
 done
done

# Just for xilinx_zynqmp
for board in "xilinx_zynqmp_kria xilinx_zynqmp_virt"
do
 for file in u-boot.itb spl/boot.bin
 do
  if [ -f builds/$(echo $board)/$(echo $file) ]; then
    install -pD -m 0644 builds/$(echo $board)/$(echo $file) %{buildroot}%{_datadir}/uboot/$(echo $board)/$(echo $file)
  fi
 done
done

# For Apple M-series we also need the nodtb variant
install -pD -m 0644 builds/apple_m1/u-boot-nodtb.bin %{buildroot}%{_datadir}/uboot/apple_m1/u-boot-nodtb.bin
%endif

%ifarch riscv64
for board in $(ls builds)
do
 for file in u-boot.itb spl/u-boot-spl.bin spl/u-boot-spl.bin.normal.out
 do
  if [ -f builds/$(echo $board)/$(echo $file) ]; then
    install -pD -m 0644 builds/$(echo $board)/$(echo $file) %{buildroot}%{_datadir}/uboot/$(echo $board)/$(echo $file)
  fi
 done
done
%endif

# Bit of a hack to remove binaries we don't use as they're large
for board in $(ls builds)
do
  rm -f %{buildroot}%{_datadir}/uboot/$(echo $board)/u-boot.dtb
  if [ -f %{buildroot}%{_datadir}/uboot/$(echo $board)/u-boot-sunxi-with-spl.bin ]; then
    rm -f %{buildroot}%{_datadir}/uboot/$(echo $board)/u-boot{,-dtb}.*
  fi
done
%endif

for tool in dumpimage env/fw_printenv fdt_add_pubkey fit_check_sign fit_info gdb/gdbcont gdb/gdbsend gen_eth_addr gen_ethaddr_crc ifwitool img2srec kwboot mkeficapsule mkenvimage mkimage mksunxiboot ncb proftool sunxi-spl-image-builder
do
install -p -m 0755 builds/tools/$tool %{buildroot}%{_bindir}
done
for tool in dumpimage kwboot mkeficapsule mkimage
do
install -p -m 0644 doc/$tool.1 %{buildroot}%{_mandir}/man1
done

install -p -m 0755 builds/tools/env/fw_printenv %{buildroot}%{_bindir}
( cd %{buildroot}%{_bindir}; ln -sf fw_printenv fw_setenv )

%files
%license Licenses/*
%doc README doc/develop/distro.rst doc/README.gpt
%doc doc/develop/uefi doc/usage doc/arch/arm64.rst
%{_bindir}/*
%{_mandir}/man1/dumpimage.1*
%{_mandir}/man1/kwboot.1*
%{_mandir}/man1/mkeficapsule.1*
%{_mandir}/man1/mkimage.1*

%if %{with toolsonly}
%ifarch aarch64
%files -n uboot-images-armv8
%license Licenses/*
%dir %{_datadir}/uboot/
%{_datadir}/uboot/*
%endif

%ifarch riscv64
%files -n uboot-images-riscv64
%license Licenses/*
%dir %{_datadir}/uboot/
%{_datadir}/uboot/*
%endif
%endif

%changelog
* Wed May 07 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 1:2025.04-104
- Restore patch to build without openssl engine
- Fix broken changelog entry

* Sat Apr 19 2025 Janne Grunau <j@jannau.net> - 1:2025.04-103
- Import Asahi patches for 2025.04

* Sat Apr 19 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 1:2025.04-102
- Unconditionally build images

* Sat Apr 19 2025 Janne Grunau <j@jannau.net> - 1:2025.04-101
- Bump Release to Asahi specific "101"

* Tue Apr 08 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2025.04-1
- Update to 2025.04 GA

* Tue Mar 25 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2025.04-0.7.rc5
- Update to 2025.04 RC5

* Wed Mar 12 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2025.04-0.6.rc4
- Update to 2025.04 RC4

* Wed Feb 26 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2025.04-0.5.rc3
- Update to 2025.04 RC3

* Tue Feb 18 2025 David Abdurachmanov <davidlt@rivosinc.com> - 1:2025.04-0.4.rc2
- Add support for riscv64

* Tue Feb 11 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2025.04-0.3.rc2
- Update to 2025.05 RC2

* Tue Feb 11 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2025.04-0.2.rc1
- Update to 2025.05 RC1

* Tue Jan 28 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2025.01-3
- Add new fdt_add_pubkey tool

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1:2025.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Jan 07 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2025.01-1
- Update to 2025.01 GA

* Mon Jan 06 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2025.01-0.2.rc6
- Rebuild for TF-A 2.12

* Tue Dec 31 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2025.01-0.1.rc6
- Update to 2025.01 RC6

* Fri Oct 11 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.10-1
- Update to 2024.10 GA
- Fix passing RPi firmware CMA setting to kernel DT
- Update Geekbox

* Thu Oct 03 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.10-0.8.rc6
- Pass CMA FW setting through to kernel DT for Raspberry Pi

* Tue Oct 01 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.10-0.7.rc6
- Update to 2024.10 RC6

* Mon Sep 16 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.10-0.6.rc5
- Update to 2024.10 RC5

* Fri Sep  6 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.10-0.5.rc4
- Add missing licenses directory

* Tue Sep 03 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.10-0.4.rc4
- Update to 2024.10 RC4

* Mon Sep 02 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.10-0.3.rc3
- Fix Allwinner firmware chainloading (rhbz#2309138)
- Fix ATF firmware selection on a number of devices
- Support Allwinner SCP firmware (fixes suspend/resume)

* Tue Aug 27 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.10-0.2.rc3
- Update to 2024.10 RC3
- Enable initial QCM6490 SoC support

* Thu Aug 15 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.10-0.1.rc2
- Update to 2024.10 RC2

* Tue Jul 23 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.07-1
- Update to 2024.07

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:2024.07-0.3.rc4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 18 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.07-0.2.rc4
- Update to 2024.07 RC4

* Sat May 25 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.07-0.1.rc3
- Update to 2024.07 RC3

* Wed Apr 03 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.04-1
- Update to 2024.04 GA
- Rockchip rk3328 USB fixes

* Wed Mar 27 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.04-0.8.rc5
- Update to 2024.04 RC5

* Thu Mar 21 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.04-0.7.rc4
- Updated patch for DTB loading

* Fri Mar 15 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.04-0.6.rc4
- Updated fix for FDT load

* Wed Mar 13 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.04-0.5.rc4
- Fixes for Rockchip rk3399 autoboot

* Tue Mar 12 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.04-0.4.rc4
- Update to 2024.04 RC4
- Initial fix for loading DT off /boot (rhbz 2247873)

* Thu Feb 29 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.04-0.3.rc3
- Update to 2024.04 RC3
- Enable a number of new upstream devices
- Upstream now builds Rockchip SPI artifacts
- Various cleanups
- Fix ESP partition detection to enable EFI vars

* Wed Feb 14 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.04-0.2.rc2
- Update to 2024.04 RC2

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:2024.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 08 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 1:2024.01-1
- Update to 2024.01
